# -*- rpm-spec -*-
Summary:        Data stream model
Name:           danse.ins.dsm
Version:        0.1
Release:        0
License:        BSD
Group:          Development/Tools
Source:         danse.ins.dsm-0.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:  gcc-c++
BuildRequires:	cmake > 2.6
BuildRequires:	make
BuildRequires:  python-devel

Requires: python
Requires: danse.ins

%description
Data stream model

%define prefix /opt/danse
%define rpmprefix $RPM_BUILD_ROOT%{prefix}
%define srcdirname %{name}-%{version}

%prep
%setup -q -n %{srcdirname}

%build
cd ..
rm -rf build_tree
mkdir build_tree
cd build_tree
cmake -DCMAKE_INSTALL_PREFIX=%{rpmprefix} ../%{srcdirname}
make

%install 
cd ../build_tree
make install

%clean
cd ..
rm -rf %{srcdirname}
rm -rf build_tree

%files
%defattr(-,root,root,-)
# %{prefix}/include/danse/ins/dsm/*
%{prefix}/lib64/*
# %{prefix}/bin/*

%changelog
